%define	name	ext2ed
%define	version	0.1
%define	rel	25
%define	release	%mkrel 25

Summary:	An ext2 filesystem editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware 
BuildRequires:	ncurses-devel readline-devel e2fsprogs-devel
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/%{name}-%{version}.tar.bz2
Patch0:		ext2ed-0.1-config.patch.bz2
Patch1:		ext2ed-0.1-inode.patch.bz2
Patch2:		ext2ed-0.1-glibc.patch.bz2
Patch3:		ext2ed-0.1-compat21.patch.bz2
Patch4:		ext2ed-0.1-noreadline.patch.bz2
Patch5:		ext2ed-0.1-linux2.6-buildfix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# this should only be built on little endian machines!
ExclusiveArch:	alpha %{ix86} ppc x86_64

%description
Ext2ed is a program which provides a text and window interface for
examining and editing an ext2 filesystem.  Ext2ed is supposed to be
easier to use than debugfs, but debugfs is more powerful.  Note that
this program should only be used by someone who is very experienced at
hacking filesystems.  

Install ext2ed if you want to examine and/or edit your ext2 filesystem,
and you know what you're doing.

%prep
%setup -q
%patch -p0 -b .config
%patch1 -p1 -b .inode
%patch2 -p1 -b .glibc
%patch3 -p1 -b .compat21
%patch4 -p1 -b .noreadline
%patch5 -p1 -b .peroyvind

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_localstatedir}}

make	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	VAR_DIR=$RPM_BUILD_ROOT%{_localstatedir}/ext2ed \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_localstatedir}/ext2ed
%{_bindir}/ext2ed
%{_mandir}/man8/ext2ed.8*
%doc doc/user-guide-0.1.sgml
%doc doc/user-guide-0.1.ps
%doc doc/Ext2fs-overview-0.1.sgml

%changelog
* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-25mdk
- build on x86_64 too
- %%mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-24mdk
- rebuild for new readline
- fix summary-ended-with-dot
- no .bz2 ending for man pages
- use %%make macro

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-23mdk
- fix buildrequires

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-22mdk
- fix build with 2.6 kernel headers (P5)

* Sun Jun 08 2003 Stefan van der Eijk <stefan@eijk.nu> 0.1-21mdk
- BuildRequires

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-20mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-19mdk
- rebuild for new readline

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-18mdk
- build release
- spec cleaning

* Tue May 22 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1-17mdk
- Use ix86 in ExclusiveArch
- fix rpmlint warnings

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1-16mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-15mdk
- tvzition

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 0.1-14mdk
- New group: System/Kernel and hardware

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-13mdk
- use the new group list
- use spechelper

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.1-12mdk
- added PPC support

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add archs and SMP macro

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- only build on little endian machines

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- mixing readling and ncurses is evil

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses
- updated bad patch (!)

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- various spec file clean ups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- build against readline library w/ proper soname

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
